# Uses of Class
it.tdlight.jni.TdApi.AutoDownloadSettings

## Uses of TdApi.AutoDownloadSettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.AutoDownloadSettings
Modifier and Type
Field
Description
`TdApi.AutoDownloadSettings`
TdApi.AutoDownloadSettingsPresets.`high`
Preset with highest settings; supposed to be used by default when connected on Wi-Fi.
`TdApi.AutoDownloadSettings`
TdApi.AutoDownloadSettingsPresets.`low`
Preset with lowest settings; supposed to be used by default when roaming.
`TdApi.AutoDownloadSettings`
TdApi.AutoDownloadSettingsPresets.`medium`
Preset with medium settings; supposed to be used by default when using mobile data.
`TdApi.AutoDownloadSettings`
TdApi.SetAutoDownloadSettings.`settings`
New user auto-download settings.
Constructors in it.tdlight.jni with parameters of type TdApi.AutoDownloadSettings
Modifier
Constructor
Description
``
`AutoDownloadSettingsPresets(TdApi.AutoDownloadSettings low, TdApi.AutoDownloadSettings medium, TdApi.AutoDownloadSettings high)`
Contains auto-download settings presets for the current user.
``
`SetAutoDownloadSettings(TdApi.AutoDownloadSettings settings, TdApi.NetworkType type)`
Sets auto-download settings.